Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTable.AccessibleJTable.AccessibleJTableCell

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.JTable.AccessibleJTable.AccessibleJTableCell

protected class JTable.AccessibleJTable.AccessibleJTableCell
extends AccessibleContext
implements Accessible, AccessibleComponent

The class used to obtain the AccessibleRole for a cell.

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`JTable.AccessibleJTable.AccessibleJTableCell(JTable t, int r, int c, int i)` Constructs an AccessiblJTableHeaaderEntry

Method Summary
`void` | `addFocusListener(java.awt.event.FocusListener l)`
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)` Add a PropertyChangeListener to the listener list.
`boolean` | `contains(java.awt.Point p)` Checks whether the specified point is within this object's bounds, where the point's x and y coordinates are defined to be relative to the coordinate system of the object.
`AccessibleAction` | `getAccessibleAction()` Get the AccessibleAction associated with this object if one exists.
`Accessible` | `getAccessibleAt(java.awt.Point p)`
`Accessible` | `getAccessibleChild(int i)` Return the specified Accessible child of the object.
`int` | `getAccessibleChildrenCount()` Returns the number of accessible children in the object.
`AccessibleComponent` | `getAccessibleComponent()` Get the AccessibleComponent associated with this object if one exists.
`AccessibleContext` | `getAccessibleContext()` Get the AccessibleContext associated with this
`java.lang.String` | `getAccessibleDescription()` Get the accessible description of this object.
`int` | `getAccessibleIndexInParent()` Get the index of this object in its accessible parent.
`java.lang.String` | `getAccessibleName()` Get the accessible name of this object.
`Accessible` | `getAccessibleParent()` Get the Accessible parent of this object.
`AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`AccessibleSelection` | `getAccessibleSelection()` Get the AccessibleSelection associated with this object if one exists.
`AccessibleStateSet` | `getAccessibleStateSet()` Get the state set of this object.
`AccessibleText` | `getAccessibleText()` Get the AccessibleText associated with this object if one exists.
`AccessibleValue` | `getAccessibleValue()` Get the AccessibleValue associated with this object if one exists.
`java.awt.Color` | `getBackground()` Get the background color of this object.
`java.awt.Rectangle` | `getBounds()`
`java.awt.Cursor` | `getCursor()` Get the Cursor of this object.
`java.awt.Font` | `getFont()` Get the Font of this object.
`java.awt.FontMetrics` | `getFontMetrics(java.awt.Font f)` Get the FontMetrics of this object.
`java.awt.Color` | `getForeground()` Get the foreground color of this object.
`java.util.Locale` | `getLocale()` Gets the locale of the component.
`java.awt.Point` | `getLocation()` Gets the location of the object relative to the parent in the form of a point specifying the object's top-left corner in the screen's coordinate space.
`java.awt.Point` | `getLocationOnScreen()` Returns the location of the object on the screen.
`java.awt.Dimension` | `getSize()`
`boolean` | `isEnabled()` Determine if the object is enabled.
`boolean` | `isFocusTraversable()`
`boolean` | `isShowing()` Determine if the object is showing.
`boolean` | `isVisible()` Determine if the object is visible.
`void` | `removeFocusListener(java.awt.event.FocusListener l)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)` Remove a PropertyChangeListener from the listener list.
`void` | `requestFocus()`
`void` | `setAccessibleDescription(java.lang.String s)` Set the accessible description of this object.
`void` | `setAccessibleName(java.lang.String s)` Set the localized accessible name of this object.
`void` | `setBackground(java.awt.Color c)` Set the background color of this object.
`void` | `setBounds(java.awt.Rectangle r)`
`void` | `setCursor(java.awt.Cursor c)` Set the Cursor of this object.
`void` | `setEnabled(boolean b)` Set the enabled state of the object.
`void` | `setFont(java.awt.Font f)` Set the Font of this object.
`void` | `setForeground(java.awt.Color c)` Set the foreground color of this object.
`void` | `setLocation(java.awt.Point p)` Sets the location of the object relative to the parent.
`void` | `setSize(java.awt.Dimension d)`
`void` | `setVisible(boolean b)` Set the visible state of the object.

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTable.AccessibleJTable.AccessibleJTableCell

    public JTable.AccessibleJTable.AccessibleJTableCell(JTable t,
                                                        int r,
                                                        int c,
                                                        int i)

  Constructs an AccessiblJTableHeaaderEntry

Method Detail

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Get the AccessibleContext associated with this
  Specified by:
    getAccessibleContext in interface Accessible
  Returns:
    the AccessibleContext of this JComponent

### getAccessibleName

    public java.lang.String getAccessibleName()

  Get the accessible name of this object.
  Returns:
    the localized name of the object; null if this object does not have a name
  Overrides:
    getAccessibleName in class AccessibleContext

### setAccessibleName

    public void setAccessibleName(java.lang.String s)

  Set the localized accessible name of this object.
  Parameters:
    `s` - the new localized name of the object.
  Overrides:
    setAccessibleName in class AccessibleContext

### getAccessibleDescription

    public java.lang.String getAccessibleDescription()

  Get the accessible description of this object.
  Returns:
    the localized description of the object; null if this object does not have a description
  Overrides:
    getAccessibleDescription in class AccessibleContext

### setAccessibleDescription

    public void setAccessibleDescription(java.lang.String s)

  Set the accessible description of this object.
  Parameters:
    `s` - the new localized description of the object
  Overrides:
    setAccessibleDescription in class AccessibleContext

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Get the role of this object.
  Returns:
    an instance of AccessibleRole describing the role of the object
  Overrides:
    getAccessibleRole in class AccessibleContext
  See Also:
    `AccessibleRole`

### getAccessibleStateSet

    public AccessibleStateSet getAccessibleStateSet()

  Get the state set of this object.
  Returns:
    an instance of AccessibleStateSet containing the current state set of the object
  Overrides:
    getAccessibleStateSet in class AccessibleContext
  See Also:
    `AccessibleState`

### getAccessibleParent

    public Accessible getAccessibleParent()

  Get the Accessible parent of this object.
  Returns:
    the Accessible parent of this object; null if this object does not have an Accessible parent
  Overrides:
    getAccessibleParent in class AccessibleContext

### getAccessibleIndexInParent

    public int getAccessibleIndexInParent()

  Get the index of this object in its accessible parent.
  Returns:
    the index of this object in its parent; -1 if this object does not have an accessible parent.
  Overrides:
    getAccessibleIndexInParent in class AccessibleContext
  See Also:
    `getAccessibleParent()`

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount()

  Returns the number of accessible children in the object.
  Returns:
    the number of accessible children in the object.
  Overrides:
    getAccessibleChildrenCount in class AccessibleContext

### getAccessibleChild

    public Accessible getAccessibleChild(int i)

  Return the specified Accessible child of the object.
  Parameters:
    `i` - zero-based index of child
  Returns:
    the Accessible child of the object
  Overrides:
    getAccessibleChild in class AccessibleContext

### getLocale

    public java.util.Locale getLocale()

  Gets the locale of the component. If the component does not have a locale, then the locale of its parent is returned.
  Returns:
    This component's locale. If this component does not have a locale, the locale of its parent is returned.
  Throws:
    java.awt.IllegalComponentStateException - If the Component does not have its own locale and has not yet been added to a containment hierarchy such that the locale can be determined from the containing parent.
  Overrides:
    getLocale in class AccessibleContext
  See Also:
    `setLocale`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  Add a PropertyChangeListener to the listener list. The listener is registered for all properties.
  Parameters:
    `listener` - The PropertyChangeListener to be added
  Overrides:
    addPropertyChangeListener in class AccessibleContext

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

  Remove a PropertyChangeListener from the listener list. This removes a PropertyChangeListener that was registered for all properties.
  Parameters:
    `listener` - The PropertyChangeListener to be removed
  Overrides:
    removePropertyChangeListener in class AccessibleContext

### getAccessibleAction

    public AccessibleAction getAccessibleAction()

  Get the AccessibleAction associated with this object if one exists. Otherwise return null.
  Returns:
    the AccessibleAction, or null
  Overrides:
    getAccessibleAction in class AccessibleContext

### getAccessibleComponent

    public AccessibleComponent getAccessibleComponent()

  Get the AccessibleComponent associated with this object if one exists. Otherwise return null.
  Returns:
    the AccessibleComponent, or null
  Overrides:
    getAccessibleComponent in class AccessibleContext

### getAccessibleSelection

    public AccessibleSelection getAccessibleSelection()

  Get the AccessibleSelection associated with this object if one exists. Otherwise return null.
  Returns:
    the AccessibleSelection, or null
  Overrides:
    getAccessibleSelection in class AccessibleContext

### getAccessibleText

    public AccessibleText getAccessibleText()

  Get the AccessibleText associated with this object if one exists. Otherwise return null.
  Returns:
    the AccessibleText, or null
  Overrides:
    getAccessibleText in class AccessibleContext

### getAccessibleValue

    public AccessibleValue getAccessibleValue()

  Get the AccessibleValue associated with this object if one exists. Otherwise return null.
  Returns:
    the AccessibleValue, or null
  Overrides:
    getAccessibleValue in class AccessibleContext

### getBackground

    public java.awt.Color getBackground()

  Get the background color of this object.
  Specified by:
    getBackground in interface AccessibleComponent
  Returns:
    the background color, if supported, of the object; otherwise, null

### setBackground

    public void setBackground(java.awt.Color c)

  Set the background color of this object.
  Specified by:
    setBackground in interface AccessibleComponent
  Parameters:
    `c` - the new Color for the background

### getForeground

    public java.awt.Color getForeground()

  Get the foreground color of this object.
  Specified by:
    getForeground in interface AccessibleComponent
  Returns:
    the foreground color, if supported, of the object; otherwise, null

### setForeground

    public void setForeground(java.awt.Color c)

  Set the foreground color of this object.
  Specified by:
    setForeground in interface AccessibleComponent
  Parameters:
    `c` - the new Color for the foreground

### getCursor

    public java.awt.Cursor getCursor()

  Get the Cursor of this object.
  Specified by:
    getCursor in interface AccessibleComponent
  Returns:
    the Cursor, if supported, of the object; otherwise, null

### setCursor

    public void setCursor(java.awt.Cursor c)

  Set the Cursor of this object.
  Specified by:
    setCursor in interface AccessibleComponent
  Parameters:
    `c` - the new Cursor for the object

### getFont

    public java.awt.Font getFont()

  Get the Font of this object.
  Specified by:
    getFont in interface AccessibleComponent
  Returns:
    the Font,if supported, for the object; otherwise, null

### setFont

    public void setFont(java.awt.Font f)

  Set the Font of this object.
  Specified by:
    setFont in interface AccessibleComponent
  Parameters:
    `f` - the new Font for the object

### getFontMetrics

    public java.awt.FontMetrics getFontMetrics(java.awt.Font f)

  Get the FontMetrics of this object.
  Specified by:
    getFontMetrics in interface AccessibleComponent
  Parameters:
    `f` - the Font
  Returns:
    the FontMetrics, if supported, the object; otherwise, null
  See Also:
    `getFont`

### isEnabled

    public boolean isEnabled()

  Determine if the object is enabled.
  Specified by:
    isEnabled in interface AccessibleComponent
  Returns:
    true if object is enabled; otherwise, false

### setEnabled

    public void setEnabled(boolean b)

  Set the enabled state of the object.
  Specified by:
    setEnabled in interface AccessibleComponent
  Parameters:
    `b` - if true, enables this object; otherwise, disables it

### isVisible

    public boolean isVisible()

  Determine if the object is visible. Note: this means that the object intends to be visible; however, it may not in fact be showing on the screen because one of the objects that this object is contained by is not visible. To determine if an object is showing on the screen, use isShowing().
  Specified by:
    isVisible in interface AccessibleComponent
  Returns:
    true if object is visible; otherwise, false

### setVisible

    public void setVisible(boolean b)

  Set the visible state of the object.
  Specified by:
    setVisible in interface AccessibleComponent
  Parameters:
    `b` - if true, shows this object; otherwise, hides it

### isShowing

    public boolean isShowing()

  Determine if the object is showing. This is determined by checking the visibility of the object and ancestors of the object. Note: this will return true even if the object is obscured by another (for example, it happens to be underneath a menu that was pulled down).
  Specified by:
    isShowing in interface AccessibleComponent
  Returns:
    true if object is showing; otherwise, false

### contains

    public boolean contains(java.awt.Point p)

  Checks whether the specified point is within this object's bounds, where the point's x and y coordinates are defined to be relative to the coordinate system of the object.
  Specified by:
    contains in interface AccessibleComponent
  Parameters:
    `p` - the Point relative to the coordinate system of the object
  Returns:
    true if object contains Point; otherwise false

### getLocationOnScreen

    public java.awt.Point getLocationOnScreen()

  Returns the location of the object on the screen.
  Specified by:
    getLocationOnScreen in interface AccessibleComponent
  Returns:
    location of object on screen -- can be null if this object is not on the screen

### getLocation

    public java.awt.Point getLocation()

  Gets the location of the object relative to the parent in the form of a point specifying the object's top-left corner in the screen's coordinate space.
  Specified by:
    getLocation in interface AccessibleComponent
  Returns:
    An instance of Point representing the top-left corner of the objects's bounds in the coordinate space of the screen; null if this object or its parent are not on the screen

### setLocation

    public void setLocation(java.awt.Point p)

  Sets the location of the object relative to the parent.
  Specified by:
    setLocation in interface AccessibleComponent

### getBounds

    public java.awt.Rectangle getBounds()

  Specified by:
    getBounds in interface AccessibleComponent

### setBounds

    public void setBounds(java.awt.Rectangle r)

  Specified by:
    setBounds in interface AccessibleComponent

### getSize

    public java.awt.Dimension getSize()

  Specified by:
    getSize in interface AccessibleComponent

### setSize

    public void setSize(java.awt.Dimension d)

  Specified by:
    setSize in interface AccessibleComponent

### getAccessibleAt

    public Accessible getAccessibleAt(java.awt.Point p)

  Specified by:
    getAccessibleAt in interface AccessibleComponent

### isFocusTraversable

    public boolean isFocusTraversable()

  Specified by:
    isFocusTraversable in interface AccessibleComponent

### requestFocus

    public void requestFocus()

  Specified by:
    requestFocus in interface AccessibleComponent

### addFocusListener

    public void addFocusListener(java.awt.event.FocusListener l)

  Specified by:
    addFocusListener in interface AccessibleComponent

### removeFocusListener

    public void removeFocusListener(java.awt.event.FocusListener l)

  Specified by:
    removeFocusListener in interface AccessibleComponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.